Skip to content

Create a deduplicated screen and group deployment with an optional canary cohort

POST
/api/v1/update-deployments
curl --request POST \
--url https://example.com/api/v1/update-deployments \
--header 'Content-Type: application/json' \
--data '{ "releaseId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "mode": "download_only", "maintenanceWindowStart": "2026-04-15T12:00:00Z", "screenIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "groupIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "canarySize": 1 }'

Requires an authenticated dashboard user.

Media typeapplication/json
object
releaseId
required
string format: uuid
name
required
string
>= 1 characters <= 180 characters
mode
required
string
Allowed values: download_only install_now maintenance_window
maintenanceWindowStart

Required and in the future when mode is maintenance_window.

string | null format: date-time
screenIds
Array<string>
groupIds
Array<string>
canarySize
integer
<= 50

Deployment created

Media typeapplication/json
object
data
required
object
id
required
string format: uuid
status
required
string
Allowed values: active
targetCount
required
integer
apkSizeBytes
required
integer format: int64
rolloutMode
required
string
Allowed values: full canary
rolloutPhase
required
string
Allowed values: full canary paused
canarySize
required
integer
<= 50
Example
{
"data": {
"status": "active",
"rolloutMode": "full",
"rolloutPhase": "full"
}
}

Targets outside the caller’s screen scope

Invalid or unverified release/targets